package com.lantone.qc.trans.beilun.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: HUJING
 * @time: 2020/9/9 11:24
 */
public class BeiLunFirstCourseRecordHtmlAnalysis implements BeiLunHtmlAnalysis {

    @Override
    public Map<String, String> analysis(String... args) {
        List<String> titles = Lists.newArrayList("（一）病历特点", "（二）诊断依据", "（三）鉴别诊断",
                "（四）初步诊断", "（五）诊疗计划", "医生签名");
        String html = args[0];
        String recTitle = args[1];
        Map<String, String> structureMap = Maps.newLinkedHashMap();
        String htmlContent = CommonAnalysisUtil.html2String(html);
        if (StringUtil.isNotBlank(htmlContent)) {
            htmlContent = htmlContent.replaceAll("[   ]", " ");
            CommonAnalysisUtil.html2StructureMap(titles, htmlContent, structureMap);
        }
        CommonAnalysisUtil.extractDateByTitle(structureMap, "时间");
        structureMap.put("rec_title=", "107");

        return structureMap;
    }

}